#ifndef EXPAT_CONFIG_H_
#define EXPAT_CONFIG_H_

#include <builddefs.h>

#if defined(WIN32) || defined(__WIN32__)

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#undef WIN32_LEAN_AND_MEAN
#include <memory.h>
#include <string.h>
#define XML_NS 1
#define XML_DTD 1
#define XML_CONTEXT_BYTES 1024
#define BYTEORDER 1234
#define HAVE_MEMMOVE

#elif defined(apple) || defined(__apple__)

#define BYTEORDER  4321
#undef HAVE_BCOPY
#define HAVE_MEMMOVE
#undef HAVE_MMAP
#undef HAVE_UNISTD_H
#define WORDS_BIGENDIAN
#undef XML_CONTEXT_BYTES
#define XML_DTD
#define XML_NS
#undef const

#elif defined(UNIX) || defined(__UNIX__)


#undef BYTEORDER
#undef HAVE_BCOPY
#undef HAVE_DLFCN_H
#undef HAVE_FCNTL_H
#undef HAVE_GETPAGESIZE
#undef HAVE_INTTYPES_H
#undef HAVE_MEMMOVE
#undef HAVE_MEMORY_H
#undef HAVE_MMAP
#undef HAVE_STDINT_H
#undef HAVE_STDLIB_H
#undef HAVE_STRINGS_H
#undef HAVE_STRING_H
#undef HAVE_SYS_STAT_H
#undef HAVE_SYS_TYPES_H
#undef HAVE_UNISTD_H
#undef PACKAGE_BUGREPORT
#undef PACKAGE_NAME
#undef PACKAGE_STRING
#undef PACKAGE_TARNAME
#undef PACKAGE_VERSION
#undef STDC_HEADERS
#undef WORDS_BIGENDIAN
#undef XML_CONTEXT_BYTES
#undef XML_DTD
#undef XML_NS
#undef __func__
#undef const
#undef off_t
#undef size_t

#endif	/* unix */

#endif	/* EXPAT_CONFIG_H_ */
