#ifndef SCENE_H
#define SCENE_H

#include <vector>
#include <libvis.h>
#include <libvfs.h>
#include "objectgroup.h"
#include "meshman.h"


struct StaticMesh
{
	Mesh *mesh;
	VisResult vis_result;
	bool visible;
};

class Scene
{
protected:
	Vis vis;
	std::vector<ObjectGroup *> obj_groups;
	MeshManager *mesh_manager;

	std::vector<StaticMesh> static_meshes;
public:
	Scene ();
	~Scene ();

	ObjectGroup *AddObjectGroup (const char *filename);


	bool BuildScene ();
	void Render ();

	bool Load(const char *fname);
	bool Save(const char *fname);
};


#endif //SCENE_H

